<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/Order">
<NewOrder>
	<Number><xsl:value-of select="Number"/></Number>
	<Date><xsl:value-of select="Date"/></Date>
	<Total><xsl:value-of select="sum(/Order/total/USPrice)"/></Total>
  <xsl:for-each select="product">
    <items>
      <ID>
        <xsl:value-of select="ID"/>
      </ID>
      <Name>
        <xsl:value-of select="Name"/>
      </Name>
      <xsl:for-each select="/Order/total[ID=current()/ID]">
        <quantity>
          <xsl:value-of select="quantity"/>
        </quantity>
        <USPrice>
          <xsl:value-of select="USPrice"/>
        </USPrice>
      </xsl:for-each>
    </items>
  </xsl:for-each>
</NewOrder>
</xsl:template>

</xsl:stylesheet>